#define STM32F10X_MD 1

#ifdef INCC
#define INLINE static inline
#else
#define INLINE
#endif

#include "stm32f10x.h"
#include "stm32f10x_rcc.h"
#include "stm32f10x_usart.h"

#ifdef INCC
#include "stm32f10x_rcc.c"
#include "stm32f10x_usart.c"
#endif

static USART_InitTypeDef myuartconfig = {
    115200, // Baudrate
    USART_WordLength_8b, // Wordlength
    USART_StopBits_2, // StopBits
    USART_Parity_No, // Parity
    USART_Mode_Rx + USART_Mode_Tx, // Mode 
    USART_HardwareFlowControl_None // HW Flow
};

int main()
{
    USART_DeInit(USART1);
    USART_Init(USART1, &myuartconfig);
    while (1)
	;
}

void _start() { main(); }

void _exit(int i) {
    while (1)
	;
}
